import Vue from "vue";

export const state = {
  //用户数据
  init: {},
};
export const mutations = {
  //储存用户信息
  setinit(state, data) {
  	if (data) {
  		state.init =  Object.assign({}, state.init,data);
  		// #ifdef H5
  		window.sessionStorage.setItem('init', JSON.stringify(state.init));
  		// #endif
  		// #ifndef H5
  		uni.setStorageSync('init', state.init);
  		// #endif
  	}
  },
  // 退出APP
  emptyInit(state) {
  	state.init = {};
  	// #ifdef H5
  	window.sessionStorage.removeItem("init");
  	// #endif
  	// #ifndef H5
  	uni.removeStorageSync("init");
  	// #endif
  },
};
export const actions = {
  
};
